function getLocalStorage() {
  return {
    set(key: string, value: string) {
      return window.localStorage.setItem(key, value);
    },

    get(key: string) {
      return window.localStorage.getItem(key);
    },

    setObject(key: string, value: any) {
      return window.localStorage.setItem(key, JSON.stringify(value));
    },

    getObject(key: string) {
      return JSON.parse(window.localStorage.getItem(key)?.toString() || "{}");
    },
  };
}

export default getLocalStorage;
