import { createSlice } from "@reduxjs/toolkit";
import { useSelector } from "react-redux";
import storage from "../storage";

const FileList = createSlice({
  name: "fileList",
  initialState: {
    fileList: [],
  },
  reducers: {
    updateOfStorage: (state) => {
      state.fileList = storage().getObject("fileList");
    },

    addFileOfStorage: (state, action) => {
      // @ts-ignore
      state.fileList.push(action.payload);
      storage().setObject("fileList", state.fileList);
    },
  },
});

export function useSelectorFileList() {
  return useSelector((state: any) => state.fileList);
}

export const { updateOfStorage } = FileList.actions;

export default FileList.reducer;
